diff --git a/web/pgadmin/browser/server_groups/servers/static/js/privilege.js b/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
index e89fdbf..5be6c04 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
@@ -627,7 +627,9 @@
        * focused active element.
        */
       setTimeout(function() {
-        if (self.$el[0] != document.activeElement && !isDescendant(self.$el[0], document.activeElement)){
+        var is_active_element_div_type = document.activeElement.tagName == 'DIV';
+        if (is_active_element_div_type && self.$el[0] != document.activeElement &&
+                !isDescendant(self.$el[0], document.activeElement)) {
           var m = self.model;
           m.trigger('backgrid:edited', m, self.column, new Backgrid.Command(ev));
         }},10);
